Subject: bug#36777: Guix Inferiors: Curious incorrect derivation output bug

From: Carl Dong <[email-masked]>
Date: Tue, 30 Jul 2019 18:36:01 +0000

All,

Yes! The patch actually fixed the problem when applied on top of 5cf4b26d52bcea382d98fb4becce89be9ee37b55! I was also able to come up with a minimal reproducing manifest:

```
(use-modules (guix inferior) (guix channels)
             (srfi srfi-1))   ;for 'first'

(define channels
  (list (channel
         (name 'guix)
         (url "https://git.savannah.gnu.org/git/guix.git")
         (commit
          "6869b6635afd93872b8f0d9f2db0db4c0d765a86"))))

(define inferior
  ;; An inferior representing the above revision.
  (inferior-for-channels channels))

(packages->manifest
  (map (lambda (x)
         (first (lookup-inferior-packages inferior x)))
       '("gzip")))
```

It seems that the `gzip` package is what's causing this.

Not sure what the next steps are for this, but I'd very much like to understand where this went wrong. Perhaps we could write tests for this so it doesn't happen in the future for releases.

Cheers,
Carl Dong
[email-masked]
"I fight for the users"